List public models
curl --request GET \
--url https://api.caprioletech.com/v1/modelsimport requests
url = "https://api.caprioletech.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.caprioletech.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "openai-latest"
},
{
"id": "openai/gpt-5.6-terra"
},
{
"id": "openai/gpt-5.6-luna"
},
{
"id": "openai/gpt-5.5"
},
{
"id": "openai/gpt-5.4-mini"
},
{
"id": "claude-latest"
},
{
"id": "anthropic/claude-fable-5"
},
{
"id": "anthropic/claude-opus-5"
},
{
"id": "anthropic/claude-opus-4-8"
},
{
"id": "anthropic/claude-opus-4-7"
},
{
"id": "anthropic/claude-opus-4-6"
},
{
"id": "anthropic/claude-sonnet-4-6"
},
{
"id": "google-latest"
},
{
"id": "google/gemini-3.1-pro-preview"
},
{
"id": "google/gemini-3.5-flash"
},
{
"id": "xai/grok-4.5"
},
{
"id": "zai/glm-5.2"
},
{
"id": "moonshot/kimi-k3"
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}{
"detail": "An internal server error occurred. Please try again later."
}エンドポイント
モデル一覧
現在の公開モデルカタログを返します。
GET
/
v1
/
models
List public models
このエンドポイントを使って、現在の公開モデルカタログを取得します。
カタログでは、具体的なモデル ID の前にプロバイダーレベルの latest エイリアスが一覧されます。
Anthropic Messages エンドポイントは、
openai-latestclaude-latestgoogle-latest
| モデルの選び方 | 向いている用途 |
|---|---|
openai-latest、claude-latest、google-latest | 一度設定すれば、Capriole AI が推奨旗艦モデルに合わせ続けます |
openai/gpt-5.6-terra などの具体的なモデル ID | 特定のモデル バージョンに固定します |
POST /v1/chat と POST /v1/chat/completions では、latest エイリアスは次のように解決されます。
| latest エイリアス | 解決先 |
|---|---|
openai-latest | openai/gpt-5.6-terra |
claude-latest | anthropic/claude-fable-5 |
google-latest | google/gemini-3.1-pro-preview |
| エンドポイント | latest エイリアス |
|---|---|
POST /v1/chat | openai-latest、claude-latest、google-latest |
POST /v1/chat/completions | openai-latest、claude-latest、google-latest |
POST /v1/responses | openai-latest |
POST /v1/messages | claude-latest |
POST /v1/messages/count_tokens | claude-latest |
claude-fable-5、claude-opus-5、claude-opus-4-8、claude-opus-4-7、claude-opus-4-6、claude-sonnet-4-6 などのプレフィックスなしの具体的な Claude Messages ID も受け付けます。
POST /v1/messages と POST /v1/messages/count_tokens では、claude-latest は claude-fable-5 に解決されます。これは Chat と Chat Completions の latest エイリアスと一致します。
上に示したそのままのエイリアス ID を使ってください。openai/openai-latest のようなプロバイダー プレフィックスはクライアント側のセレクター形式であり、Capriole AI のモデル ID ではありません。レスポンス
Public model list
Show child attributes
Show child attributes
最終更新日 2026年8月18日
⌘I